// RTL to LTR mixin
@mixin rtl($property, $ltr-value, $rtl-value) {
  #{$property}: $ltr-value;

  [dir="rtl"] & {
    #{$property}: $rtl-value;
  }
}

// flex mixin
@mixin flex($justify, $align, $dir: row) {
  display: flex !important;
  flex-flow: $dir;
  justify-content: $justify;
  align-items: $align;
}

// hide overflowed text mixin
@mixin overflowText($textOverflow, $whiteSpace, $overflow) {
  text-overflow: $textOverflow; /* ellipsis if overflow initial otherwise */
  white-space: $whiteSpace; /* nowrap if overflow initial otherwise */
  overflow: $overflow; /* hidden if overflow initial otherwise */
}
